import { Ref } from 'vue-demi';
import { Plot as BasePlot } from '@antv/g2plot';
import { HTMLAttributes } from 'vue';
interface Options {
    [x: string]: any;
}
export interface Plot<C extends Options> extends BasePlot<C> {
    new (container: HTMLElement, config: C): BasePlot<C>;
}
type PickedAttrs = 'class' | 'style';
type Data = Record<string, any>[] | Record<string, any>;
export interface BaseChartProps<C extends Options> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: any;
    data: Data;
    chartRef?: Ref<BasePlot<C> | null>;
    onReady?: (plot: BasePlot<C>) => void;
}
interface ComputedOptions<C extends Options> {
    attrConfig: BaseChartProps<C>;
    chartData: any[];
    chartConfig: C;
}
export interface BaseChartRawBindings<C extends Options> {
    plot: BasePlot<C>;
}
declare const BaseChart: import("vue-demi").DefineComponent<BaseChartProps<any>, BaseChartRawBindings<any>, ComputedOptions<any>, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<BaseChartProps<any>>, {
    class?: any;
    chart: any;
}, {}>;
export default BaseChart;
